org.apache.solr.cloud

## Class CloudConfigSetService

- java.lang.Object
- - org.apache.solr.core.ConfigSetService
  - - org.apache.solr.cloud.CloudConfigSetService

-     public class CloudConfigSetService
      extends ConfigSetService

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.core.ConfigSetService

      `ConfigSetService.Default, ConfigSetService.SchemaCaching`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.core.ConfigSetService

      `parentLoader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CloudConfigSetService(SolrResourceLoader loader, ZkController zkController)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `configName(CoreDescriptor cd)` Return a name for the ConfigSet for a core
    `SolrResourceLoader` | `createCoreResourceLoader(CoreDescriptor cd)` Create a SolrResourceLoader for a core

    - ### Methods inherited from class org.apache.solr.core.ConfigSetService

      `createConfigSetProperties, createConfigSetService, createIndexSchema, createSolrConfig, getConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CloudConfigSetService

          public CloudConfigSetService(SolrResourceLoader loader,
                                       ZkController zkController)

  - ### Method Detail

    - #### createCoreResourceLoader

          public SolrResourceLoader createCoreResourceLoader(CoreDescriptor cd)

      Description copied from class: `ConfigSetService`
      Create a SolrResourceLoader for a core
      Specified by:
        `createCoreResourceLoader` in class `ConfigSetService`
      Parameters:
        `cd` - the core's CoreDescriptor
      Returns:
        a SolrResourceLoader

    - #### configName

          public String configName(CoreDescriptor cd)

      Description copied from class: `ConfigSetService`
      Return a name for the ConfigSet for a core
      Specified by:
        `configName` in class `ConfigSetService`
      Parameters:
        `cd` - the core's CoreDescriptor
      Returns:
        a name for the core's ConfigSet

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.